### Class

# Gom Adapter

#### Description

    class Gom.Adapter : GObject.Object
    {
      /* No available fields */
    }

No description available.

#### Ancestors

- GObject

#### Constructors

###### gom_adapter_new

No description available.

#### Instance methods

###### gom_adapter_close_async

No description available.

###### gom_adapter_close_finish

No description available.

###### gom_adapter_close_sync

No description available.

###### gom_adapter_execute_sql

This is a helper function to make simple execution of SQL easier. It is primarily meant for things like “BEGIN;” and “COMMIT;”.

###### gom_adapter_get_handle

Fetches the sqlite3 structure used by the adapter.

###### gom_adapter_open_async

Opens the database pointed to by `uri`. `uri` can be in any format understood by SQLite. See http://www.sqlite.org/c3ref/open.html for details.

###### gom_adapter_open_finish

No description available.

###### gom_adapter_open_sync

No description available.

###### gom_adapter_queue_read

Queues a callback to be executed within the SQLite thread. The callback is expected to perform reads only.

###### gom_adapter_queue_write

Queues a callback to be executed within the SQLite thread. The callback can perform reads and writes.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct GomAdapterClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.